﻿using UnityEngine;
using UnityEngine.UI;

public class NoiseBar : MonoBehaviour
{
	[SerializeField] private Slider _slider;

	private void Start()
	{
		_slider.normalizedValue = 0;
		GameManager.Instance.OnNoiseChanged += OnNoiseChanged;
	}

	private void OnNoiseChanged(float value)
	{
		value = Mathf.Clamp01(value);
		_slider.normalizedValue = value;

		//if (_slider.normalizedValue >= 0.8f) SoundManager.Instance.PlayDanger();
	}
}
