﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Panel : MonoBehaviour
{
    [SerializeField]
    private float delay;
    [SerializeField]
    private Animator anim;

    public void ClosePanel()
    {
        anim.SetTrigger("back");
        StartCoroutine(CloseRutine());
    }

    IEnumerator CloseRutine()
    {
        yield return new WaitForSeconds(delay);
        Destroy(this.gameObject);
    }
}
