﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CircularMovement : MonoBehaviour {

    [SerializeField]
    private float screenRadio = 9.5f;

    private Rigidbody2D rb;

    private void Awake()
    {
        rb = GetComponent<Rigidbody2D>();
    }

    private void FixedUpdate()
    {
        if (isOutOfBoundaries(transform.position.x))
        {
            if (transform.position.x > 0)
            {
                transform.position = new Vector3(getStartingPointLeft(), transform.position.y, transform.position.z);
            } else
            {
                transform.position = new Vector3(getStartingPointRight(), transform.position.y, transform.position.z);
            }
        }
    }

    //TODO do properly
    private bool isOutOfBoundaries(float positionX)
    {
        return (Mathf.Abs(positionX) > screenRadio);
    }

    //TODO do properly
    private float getStartingPointLeft()
    {
        return -1f * screenRadio;
    }

    //TODO do properly
    private float getStartingPointRight()
    {
        return screenRadio;
    }
}
